LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPresenterHelper Interface Reference

This interface is a collection of functions that were necessary to implement larger parts of the presenter screen as extension. More...

`import"XPresenterHelper.idl";`

## Public Member Functions
::com::sun::star::awt::XWindow | createWindow ([in] ::com::sun::star::awt::XWindow xParentWindow, [in] boolean bCreateSystemChildWindow, [in] boolean bInitiallyVisible, [in] boolean bEnableChildTransparentMode, [in] boolean bEnableParentClip)
| Create a new window as child window of the given parent window. More...
::com::sun::star::rendering::XCanvas | createSharedCanvas ([in] ::com::sun::star::rendering::XSpriteCanvas xUpdateCanvas, [in] ::com::sun::star::awt::XWindow xUpdateWindow, [in] ::com::sun::star::rendering::XCanvas xSharedCanvas, [in] ::com::sun::star::awt::XWindow xSharedWindow, [in] ::com::sun::star::awt::XWindow xWindow)
| Create a new canvas for the given window. More...
::com::sun::star::rendering::XCanvas | createCanvas ([in] ::com::sun::star::awt::XWindow xWindow, [in] short nRequestedCanvasFeatureList, [in] string sOptionalCanvasServiceName)
| Create a new canvas for the given window. More...
void | toTop ([in] ::com::sun::star::awt::XWindow xWindow)
| Move the specified window to the top of its stacking order. More...
::com::sun::star::rendering::XBitmap | loadBitmap ([in] string id, [in] ::com::sun::star::rendering::XCanvas xCanvas)
| Load a bitmap with a given ID. More...
void | captureMouse ([in] ::com::sun::star::awt::XWindow xWindow)
| Capture the mouse so that no other window will receive mouse events. More...
void | releaseMouse ([in] ::com::sun::star::awt::XWindow xWindow)
| Release a previously captured mouse. More...
com::sun::star::awt::Rectangle | getWindowExtentsRelative ([in] ::com::sun::star::awt::XWindow xChildWindow, [in] ::com::sun::star::awt::XWindow xParentWindow)
| Return the bounding box of the given child window relative to the direct or indirect parent window. More...

## Detailed Description

This interface is a collection of functions that were necessary to implement larger parts of the presenter screen as extension.

The methods of this interface give access to services that could only be implemented in the Office core, not in an extension.

As the presenter screen is no extension any more, this hack can go again; it just needs clean-up.

## Member Function Documentation

## ◆ captureMouse()

void captureMouse | ( | [in] ::com::sun::star::awt::XWindow | xWindow | ) |

Capture the mouse so that no other window will receive mouse events.

Note that this is a potentially dangerous method. Not calling releaseMouse eventually can lead to an unresponsive application.

Parameters

  xWindow | The window for which mouse events will be notified even when the mouse pointer moves outside the window or over other windows.

## ◆ createCanvas()

::com::sun::star::rendering::XCanvas createCanvas | ( | [in] ::com::sun::star::awt::XWindow | xWindow,
|  | [in] short | nRequestedCanvasFeatureList,
|  | [in] string | sOptionalCanvasServiceName
| ) |  |

Create a new canvas for the given window.

Parameters

  xWindow | The canvas is created for this window. Must not be `NULL`
  nRequestedCanvasFeatureList | List of requested features that the new canvas should (has to) provide. Use only values from the CanvasFeature constants group.
  sOptionalCanvasServiceName | When an explicit service name is given then a new object of this service is created. This service name lets the caller select a specific canvas implementation, e.g. with or without hardware acceleration.

## ◆ createSharedCanvas()

::com::sun::star::rendering::XCanvas createSharedCanvas | ( | [in] ::com::sun::star::rendering::XSpriteCanvas | xUpdateCanvas,
|  | [in] ::com::sun::star::awt::XWindow | xUpdateWindow,
|  | [in] ::com::sun::star::rendering::XCanvas | xSharedCanvas,
|  | [in] ::com::sun::star::awt::XWindow | xSharedWindow,
|  | [in] ::com::sun::star::awt::XWindow | xWindow
| ) |  |

Create a new canvas for the given window.

The new canvas is a wrapper around the given shared canvas. The wrapper only modifies the origin in all output and clipping methods.

Parameters

  xUpdateCanvas | This canvas is used to call updateScreen() on. May be `NULL`
  xUpdateWindow | The window that belongs to the update canvas. May also be `NULL` (is expected to b `NULL` whenever xUpdateCanvas is.)
  xSharedCanvas | The canvas that is shared by the wrapper.
  xSharedWindow | The window of the shared canvas. This is used to determine the proper offset.
  xWindow | The canvas is created for this window. Must not be `NULL`

## ◆ createWindow()

::com::sun::star::awt::XWindow createWindow | ( | [in] ::com::sun::star::awt::XWindow | xParentWindow,
|  | [in] boolean | bCreateSystemChildWindow,
|  | [in] boolean | bInitiallyVisible,
|  | [in] boolean | bEnableChildTransparentMode,
|  | [in] boolean | bEnableParentClip
| ) |  |

Create a new window as child window of the given parent window.

Parameters

  xParentWindow | The parent window of the new window.
  bCreateSystemChildWindow | When `TRUE` then the new window will be a system window that, in the context of the presenter screen, can not be painted over by other windows that lie behind it.
  bInitiallyVisible | When `TRUE` the new window will be visible from the start, i.e. a window listener will not receive a windowShown signal.
  bEnableChildTransparentMode | When `TRUE` the parent window is painted behind its child windows. This is one half of allowing child windows to be transparent.
  bEnableParentClip | When `TRUE` then the parent window is not clipped where its child windows are painted. This is the other half of allowing child windows to be transparent.

## ◆ getWindowExtentsRelative()

com::sun::star::awt::Rectangle getWindowExtentsRelative | ( | [in] ::com::sun::star::awt::XWindow | xChildWindow,
|  | [in] ::com::sun::star::awt::XWindow | xParentWindow
| ) |  |

Return the bounding box of the given child window relative to the direct or indirect parent window.

## ◆ loadBitmap()

::com::sun::star::rendering::XBitmap loadBitmap | ( | [in] string | id,
|  | [in] ::com::sun::star::rendering::XCanvas | xCanvas
| ) |  |

Load a bitmap with a given ID.

Parameters

  id | The ID of the bitmap.
  xCanvas | The bitmap is created to be compatible, and possibly optimized, for this canvas.

## ◆ releaseMouse()

void releaseMouse | ( | [in] ::com::sun::star::awt::XWindow | xWindow | ) |

Release a previously captured mouse.

Parameters

  xWindow | The window from which the mouse will be released.

## ◆ toTop()

void toTop | ( | [in] ::com::sun::star::awt::XWindow | xWindow | ) |

Move the specified window to the top of its stacking order.

As a result the window will be painted over all its overlapping siblings.

Parameters

  xWindow | This window will be moved to the top of its stacking order.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XPresenterHelper.idl